summaryrefslogtreecommitdiffstats
path: root/libraries/glfw
diff options
context:
space:
mode:
author Jeffrey T. Read <bitwize@gmail.com>2013-06-04 17:15:40 -0400
committer Robby Workman <rworkman@slackbuilds.org>2013-06-05 03:17:42 -0500
commit3eabed09ef6ab0091fd06c57071a2e9c095300c4 (patch)
tree71fbd15abf408816a8940267033f0be4ee01b110 /libraries/glfw
parent16c34b9762cc319b1f784737511687d21a3eb902 (diff)
downloadslackbuilds-3eabed09ef6ab0091fd06c57071a2e9c095300c4.tar.gz
slackbuilds-3eabed09ef6ab0091fd06c57071a2e9c095300c4.tar.xz
libraries/glfw: Added (OpenGL framework)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/glfw')
-rw-r--r--libraries/glfw/README10
-rw-r--r--libraries/glfw/glfw.SlackBuild96
-rw-r--r--libraries/glfw/glfw.info10
-rw-r--r--libraries/glfw/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/glfw/README b/libraries/glfw/README
new file mode 100644
index 0000000000..c0f61deb77
--- /dev/null
+++ b/libraries/glfw/README
@@ -0,0 +1,10 @@
+GLFW is a free, Open Source, multi-platform library for opening a
+window, creating an OpenGL context and managing input. It is easy to
+integrate into existing applications and does not lay claim to the
+main loop.
+
+GLFW is written in C and has native support for Windows, Mac OS X and
+many Unix-like systems using the X Window System, such as Linux and
+FreeBSD.
+
+GLFW is licensed under the zlib/libpng license.
diff --git a/libraries/glfw/glfw.SlackBuild b/libraries/glfw/glfw.SlackBuild
new file mode 100644
index 0000000000..ed48d9fc86
--- /dev/null
+++ b/libraries/glfw/glfw.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for glfw
+
+# Copyright 2013 Jeffrey T. Read <bitwize@gmail.com> USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=glfw
+VERSION=${VERSION:-2.7.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvjf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+sh ./compile.sh
+
+make
+make x11-dist-install PREFIX=$PKG/usr
+
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib64
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ docs/*.pdf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/glfw/glfw.info b/libraries/glfw/glfw.info
new file mode 100644
index 0000000000..8f00b436cd
--- /dev/null
+++ b/libraries/glfw/glfw.info
@@ -0,0 +1,10 @@
+PRGNAM="glfw"
+VERSION="2.7.8"
+HOMEPAGE="http://www.glfw.org"
+DOWNLOAD="http://downloads.sourceforge.net/project/glfw/glfw/2.7.8/glfw-2.7.8.tar.bz2"
+MD5SUM="a2e1b13e46a7c637a7760c94b72896cd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jeffrey T. Read"
+EMAIL="bitwize@gmail.com"
diff --git a/libraries/glfw/slack-desc b/libraries/glfw/slack-desc
new file mode 100644
index 0000000000..90e87f4a4c
--- /dev/null
+++ b/libraries/glfw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glfw: GLFW (OpenGL framework)
+glfw:
+glfw: GLFW is a free, Open Source, multi-platform library for opening a
+glfw: window, creating an OpenGL context and managing input. It is easy to
+glfw: integrate into existing applications and does not lay claim to the
+glfw: main loop.
+glfw:
+glfw: GLFW is written in C and has native support for Windows, Mac OS X and
+glfw: many Unix-like systems using the X Window System, such as Linux and
+glfw: FreeBSD.
+glfw: